<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Usdates Model
 *
 * @method \App\Model\Entity\Usdate get($primaryKey, $options = [])
 * @method \App\Model\Entity\Usdate newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Usdate[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Usdate|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Usdate patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Usdate[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Usdate findOrCreate($search, callable $callback = null, $options = [])
 *
 * @mixin \Cake\ORM\Behavior\TimestampBehavior
 */
class UsdatesTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('usdates');
        $this->displayField('id');
        $this->primaryKey('id');

        $this->addBehavior('Timestamp');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->requirePresence('sname', 'create')
            ->notEmpty('sname');

        $validator
            ->requirePresence('snr', 'create')
            ->notEmpty('snr');

        $validator
            ->requirePresence('commune', 'create')
            ->notEmpty('commune');

        $validator
            ->requirePresence('state', 'create')
            ->notEmpty('state');

        $validator
            ->dateTime('delivery')
            ->requirePresence('delivery', 'create')
            ->notEmpty('delivery');

        return $validator;
    }
}
